CREATE DATABASE  IF NOT EXISTS `metafiles` /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_bin */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `metafiles`;
-- MySQL dump 10.13  Distrib 8.0.20, for Win64 (x86_64)
--
-- Host: localhost    Database: metafiles
-- ------------------------------------------------------
-- Server version	8.0.20

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `fi`
--

DROP TABLE IF EXISTS `fi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fi` (
  `id` int NOT NULL AUTO_INCREMENT,
  `pathPrefix` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `path` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `length` bigint NOT NULL,
  `created` datetime NOT NULL,
  `lastmodified` datetime NOT NULL,
  `ext` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `readOnly` bit(1) NOT NULL,
  `namePrefix` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `company` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `product` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `descriptionPrefix` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `version` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `language` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `copyright` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fi_pathPrefix` (`pathPrefix`),
  KEY `idx_fi_length` (`length`),
  KEY `idx_fi_created` (`created`),
  KEY `idx_fi_lastmodified` (`lastmodified`),
  KEY `idx_fi_ext` (`ext`),
  KEY `idx_fi_readOnly` (`readOnly`),
  KEY `idx_fi_namePrefix` (`namePrefix`),
  KEY `idx_fi_company` (`company`),
  KEY `idx_fi_product` (`product`),
  KEY `idx_fi_descriptionPrefix` (`descriptionPrefix`),
  KEY `idx_fi_version` (`version`),
  KEY `idx_fi_language` (`language`),
  KEY `idx_fi_copyright` (`copyright`),
  FULLTEXT KEY `idx_fi_path` (`path`),
  FULLTEXT KEY `idx_fi_name` (`name`),
  FULLTEXT KEY `idx_fi_description` (`description`)
) ENGINE=InnoDB AUTO_INCREMENT=1071 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping routines for database 'metafiles'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-05-14 19:17:28
