﻿using System;
using System.Configuration;

namespace metastrings
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Reading port...");
            int port = int.Parse(ConfigurationManager.AppSettings["port"]);
            Console.WriteLine("{0}", port);

            using (Server server =
                new Server
                (
                    port,
                    GetCfgBool("log"),
                    GetCfgBool("dump"),
                    GetCfgBool("time")
                ))
            {
                Console.WriteLine("Hit [Enter] to quit");
                Console.ReadLine();
            }
        }

        static bool GetCfgBool(string name)
        {
            Console.Write("Reading {0}...", name);
            bool val = bool.Parse(ConfigurationManager.AppSettings[name]);
            Console.WriteLine("{0}", val);
            return val;
        }
    }
}
